Error installing Cordova plugin: cordova-plugin-file

I modified the plugin.xml of cordova-plugin-file (version 6.0.2) by adding this tag 

After that I zipped the cordova-plugin-file and added it as a resource to the app

and modified Extensibility Configurations:

The problem is it always results to this error

Is there a way to get a more verbose log and is there a way to make 'android:requestLegacyExternalStorage'  work in Outsystems Mobile app?

Note:  I also tried using the latest cordova-plugin-file build : 7.0.2-dev, and it doesn't work as well

Solution

Hi,

The version 3.0.1 of the OutSystems File Plugin is pointing to version 6.0.2-OS2 of the version of Cordova File Plugin. The version 6.0.2-OS2 already has this tag.


So, what is the problem you want to resolve? The best option is to use the version 3.0.1 of the OutSystems File Plugin. You don't need to generate a local cordova-plugin-file .

Kind regards, David.

Hi,

You can get a detailed generation log available at Service Center (Applications -> Your Application -> Distribute -> Native Platforms -> download generation log icon).

The generation report with the error could help you to identify the issue.

Kind regards, David.

Thank you, I was able to see the logs. It seems that the problem was <edit-config> in plugin.xml of cordova-plugin-file conflicts with mobile app's config.xml's <edit-config>

The problem now is whether to overwrite or try to modify config.xml's <edit-config> node

Solution

Hi,

The version 3.0.1 of the OutSystems File Plugin is pointing to version 6.0.2-OS2 of the version of Cordova File Plugin. The version 6.0.2-OS2 already has this tag.


So, what is the problem you want to resolve? The best option is to use the version 3.0.1 of the OutSystems File Plugin. You don't need to generate a local cordova-plugin-file .

Kind regards, David.

Community GuidelinesBe kind and respectful, give credit to the original source of content, and search for duplicates before posting.